type term = V of string
          | A of string * term list;;
type form = Atom of (string * term list)
          | Neg of form
          | Conj of form * form
          | Disj of form * form
          | Forall of string * form
          | Exists of string * form
          | Eqiv of form * form;;

let list_forall vs t = List.fold_right (fun v sf -> Forall (v, sf)) vs t;;
let list_exists vs t = List.fold_right (fun v sf -> Exists (v, sf)) vs t;;
